Package org.apache.lucene.codecs

## Class FlatFieldVectorsWriter<T>

- java.lang.Object
- - org.apache.lucene.codecs.KnnFieldVectorsWriter<T>
  - - org.apache.lucene.codecs.FlatFieldVectorsWriter<T>

- Type Parameters:
    `T` - an array type; the type of vectors to be written
  All Implemented Interfaces:
    `Accountable`

      public abstract class FlatFieldVectorsWriter<T>
      extends KnnFieldVectorsWriter<T>

  Vectors' writer for a field
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected KnnFieldVectorsWriter<T>` | `indexingDelegate` | The delegate to write to, can be null When non-null, all vectors seen should be written to the delegate along with being written to the flat vectors.

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FlatFieldVectorsWriter​(KnnFieldVectorsWriter<T> indexingDelegate)` | Sole constructor that expects some indexingDelegate.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.codecs.KnnFieldVectorsWriter

      `addValue, copyValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources, ramBytesUsed`

- - ### Field Detail

    - #### indexingDelegate

          protected final KnnFieldVectorsWriter<T> indexingDelegate

      The delegate to write to, can be null When non-null, all vectors seen should be written to the delegate along with being written to the flat vectors.

  - ### Constructor Detail

    - #### FlatFieldVectorsWriter

          protected FlatFieldVectorsWriter​(KnnFieldVectorsWriter<T> indexingDelegate)

      Sole constructor that expects some indexingDelegate. All vectors seen should be written to the delegate along with being written to the flat vectors.
      Parameters:
        `indexingDelegate` - the delegate to write to, can be null